Package org.gradle.plugins.javascript.envjs.browser

# Class BrowserEvaluate

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.plugins.javascript.envjs.browser.BrowserEvaluate

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

public class BrowserEvaluate extends DefaultTask

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`BrowserEvaluate()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getContent()`
`BrowserEvaluator`
`getEvaluator()`
`String`
`getResource()`
`File`
`getResult()`
`void`
`setContent(File content)`
Sets content.
`void`
`setContent(Object content)`
`void`
`setEvaluator(BrowserEvaluator evaluator)`
`void`
`setResource(Object resource)`
`void`
`setResource(String resource)`
Sets resource.
`void`
`setResult(File result)`
Sets result.
`void`
`setResult(Object result)`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BrowserEvaluate

public BrowserEvaluate()

## Method Details

### getContent

@InputDirectory public File getContent()

### setContent

public void setContent(File content)
Sets content.

Since:
  4.0

### setContent

public void setContent(Object content)

### getResource

@Input public String getResource()

### setResource

public void setResource(String resource)
Sets resource.

Since:
  4.0

### setResource

public void setResource(Object resource)

### getEvaluator

@Internal public BrowserEvaluator getEvaluator()

### setEvaluator

public void setEvaluator(BrowserEvaluator evaluator)

### getResult

@OutputFile public File getResult()

### setResult

public void setResult(File result)
Sets result.

Since:
  4.0

### setResult

public void setResult(Object result)